@ECHO OFF
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################


IF '%1'=='' GOTO GO_END
IF '%2'=='' GOTO GO_END
IF '%3'=='' GOTO GO_END
IF '%4'=='' GOTO GO_END
IF '%5'=='' GOTO GO_END
IF '%6'=='' GOTO GO_END

ECHO.
ECHO =====================================================================
ECHO          %1 Build Cross for %4-%5 
ECHO =====================================================================


IF NOT EXIST ..\..\binCross\win32-%4-%5 (
ECHO.
ECHO ???????????????????????????????????????????????????????????
ECHO   ERROR: Can NOT find %1 binCross files for %4-%5 
ECHO          sorry, build STOP 
ECHO ???????????????????????????????????????????????????????????
ECHO.
EXIT

)

if NOT EXIST C:\pp\Makefile.fpc (
ECHO.
ECHO ???????????????????????????????????????????????????????????
ECHO   ERROR: FreePascal directory NOT Exists  
ECHO          sorry, build STOP 
ECHO ???????????????????????????????????????????????????????????
ECHO.
EXIT
)

if NOT EXIST C:\pp\bin\%2\make.exe (
ECHO.
ECHO ???????????????????????????????????????????????????????????
ECHO   ERROR: Make.exe for %1 NOT Exists  
ECHO          sorry, build STOP 
ECHO ???????????????????????????????????????????????????????????
ECHO.
EXIT
)

START /B /WAIT x_%1_Clear

ECHO. 
ECHO ----------------------------------------------------------------
ECHO          Build Cross Compiler 
ECHO ----------------------------------------------------------------
ECHO.

copy /Y ..\..\binCross\win32-%4-%5\%4-%5-*.exe C:\pp\bin\%2\

ECHO. 

START /D c:\pp\ /B /WAIT C:\pp\bin\%2\make.exe compiler_cycle FPC=%3.exe
START /D c:\pp\ /B /WAIT C:\pp\bin\%2\make.exe -C utils/fpcm all FPC=%3.exe
START /D c:\pp\ /B /WAIT C:\pp\bin\%2\make.exe all CPU_TARGET=%4 OS_TARGET=%5 BINUTILSPREFIX=%4-%5- FPC=%3.exe


if NOT EXIST C:\pp\compiler\%6.exe (
ECHO.
ECHO ???????????????????????????????????????????????????????????
ECHO   ERROR:  %1 Cross compiler %6.exe NOT Builded
ECHO           sorry, build STOP   
ECHO ???????????????????????????????????????????????????????????
ECHO.
EXIT
) ELSE (
copy /Y C:\pp\compiler\%6.exe c:\pp\bin\%2\
ECHO.
ECHO INFO: Cross compiler %6.exe for %1, Build OK.
)

ECHO. 
ECHO ----------------------------------------------------------------
ECHO          Build All Units 
ECHO ----------------------------------------------------------------
ECHO.

START /D c:\pp\ /B /WAIT C:\pp\bin\%2\make.exe -C rtl clean CPU_TARGET=%4 OS_TARGET=%5 BINUTILSPREFIX=%4-%5- FPC=%6.exe
START /D c:\pp\ /B /WAIT C:\pp\bin\%2\make.exe -C packages clean CPU_TARGET=%4 OS_TARGET=%5 BINUTILSPREFIX=%4-%5- FPC=%6.exe
START /D c:\pp\ /B /WAIT C:\pp\bin\%2\make.exe rtl packages CPU_TARGET=%4 OS_TARGET=%5 BINUTILSPREFIX=%4-%5- FPC=%6.exe
START /D c:\pp\ /B /WAIT C:\pp\bin\%2\make.exe rtl_install packages_install CPU_TARGET=%4 OS_TARGET=%5 BINUTILSPREFIX=%4-%5- FPC=%6.exe 

START /B /WAIT x_%1_Clear

if NOT EXIST C:\pp\units\%4-%5\rtl\system.ppu (
ECHO.
ECHO ???????????????????????????????????????????????????????????
ECHO  ERROR: %1 Cross Element for %4-%5 NOT Exists 
ECHO         sorry, build STOP
ECHO ???????????????????????????????????????????????????????????
ECHO.
) ELSE (
ECHO.
ECHO INFO: !!!!!!! %1 %4-%5 Element Build OK !!!!!!!!!
ECHO.
)

if '%5'=='wince' (
xcopy /E /R /Y ..\..\binGDB\wince C:\pp\binGDB\wince\
)

EXIT

REM @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

:GO_END

ECHO.
ECHO ???????????????????????????????????????????????????????????
ECHO     ERROR:  Sorry NO Script Parameters. 
ECHO ???????????????????????????????????????????????????????????
ECHO.

EXIT

