@ECHO OFF
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

CALL x_Lazarus_Settings_Clear
IF NOT ERRORLEVEL 0 GOTO ERROR

REM @@@@@@@@@@@@@@@@@@@@@@@@@@@@ For Win32 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

IF EXIST C:\lazarus\xxlazarusWin32.txt (

IF NOT EXIST C:\lazarus\bin32\settings (
mkdir C:\lazarus\bin32\settings
ECHO INFO: create C:\lazarus\bin32\settings directory
)

ECHO.
ECHO ----------------------------------------------------------
ECHO  Lazarus32 Restore -User- Settings for Windows
ECHO ----------------------------------------------------------
rmdir /S /Q "C:\lazarus\bin32\settings"
IF NOT ERRORLEVEL 0 GOTO ERROR
xcopy /E /R /Y ..\binSettings\win32user\lazarus "C:\lazarus\bin32\settings\"
IF NOT ERRORLEVEL 0 GOTO ERROR

ECHO.
ECHO ------- Restore Laz32 Executables from User Settings ----------
copy /Y ..\binSettings\win32user\lazarus.exe C:\lazarus\
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y ..\binSettings\win32user\startlazarus.exe C:\lazarus\
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y ..\binSettings\win32user\lazbuild.exe C:\lazarus\
IF NOT ERRORLEVEL 0 GOTO ERROR

GOTO END
)

REM @@@@@@@@@@@@@@@@@@@@@@@@@@@@@ For Win64 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

IF EXIST C:\lazarus\xxlazarusWin64.txt (

IF NOT EXIST C:\lazarus\bin64\settings (
mkdir C:\lazarus\bin64\settings
IF NOT ERRORLEVEL 0 GOTO ERROR
ECHO INFO: create C:\lazarus\bin64\settings directory
)

ECHO.
ECHO ----------------------------------------------------------
ECHO  Lazarus64 Restore -User- Settings for Windows
ECHO ----------------------------------------------------------
rmdir /S /Q "C:\lazarus\bin64\settings"
IF NOT ERRORLEVEL 0 GOTO ERROR
xcopy /E /R /Y ..\binSettings\win64user\lazarus "C:\lazarus\bin64\settings\"
IF NOT ERRORLEVEL 0 GOTO ERROR

ECHO.
ECHO ------- Restore Laz64 Executables from User Settings ----------
copy /Y ..\binSettings\win64user\lazarus.exe C:\lazarus\
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y ..\binSettings\win64user\startlazarus.exe C:\lazarus\
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y ..\binSettings\win64user\lazbuild.exe C:\lazarus\
IF NOT ERRORLEVEL 0 GOTO ERROR
)

GOTO END

:ERROR
echo ERROR! %0
EXIT 1
:END

