@ECHO OFF
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################


CALL x_Lazarus_Strip
IF NOT ERRORLEVEL 0 GOTO ERROR


REM @@@@@@@@@@@@@@@@@@@@@@@@@@@@ For Win32 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

IF EXIST C:\lazarus\xxlazarusWin32.txt (

IF NOT EXIST ..\binSettings\win32user\lazarus\ (
mkdir ..\binSettings\win32user\lazarus
IF NOT ERRORLEVEL 0 GOTO ERROR
)


IF EXIST "C:\lazarus\bin32" (
ECHO.
ECHO ----------------------------------------------------------
ECHO    Lazarus32 Save -User- Settings for Windows 
ECHO ----------------------------------------------------------
xcopy /E /R /Y "C:\lazarus\bin32\settings" ..\binSettings\win32user\lazarus\
IF NOT ERRORLEVEL 0 GOTO ERROR
)

ECHO.
ECHO ------- Copy Laz32 Executables to User Settings ----------
copy /Y C:\lazarus\lazarus.exe ..\binSettings\win32user\
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y C:\lazarus\startlazarus.exe ..\binSettings\win32user\
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y C:\lazarus\lazbuild.exe ..\binSettings\win32user\
IF NOT ERRORLEVEL 0 GOTO ERROR
)

REM @@@@@@@@@@@@@@@@@@@@@@@@@@@@@ For Win64 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

IF EXIST C:\lazarus\xxlazarusWin64.txt (

IF NOT EXIST ..\binSettings\win64user\lazarus\ (
mkdir ..\binSettings\win64user\lazarus
IF NOT ERRORLEVEL 0 GOTO ERROR
)

IF EXIST "C:\lazarus\bin64" (
ECHO.
ECHO ----------------------------------------------------------
ECHO    Lazarus64 Save -User- Settings for Windows 
ECHO ----------------------------------------------------------
xcopy /E /R /Y "C:\lazarus\bin64\settings" ..\binSettings\win64user\lazarus\
IF NOT ERRORLEVEL 0 GOTO ERROR
)
ECHO.
ECHO ------- Copy Laz64 Executables to User Settings ----------
copy /Y C:\lazarus\lazarus.exe ..\binSettings\win64user\
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y C:\lazarus\startlazarus.exe ..\binSettings\win64user\
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y C:\lazarus\lazbuild.exe ..\binSettings\win64user\
IF NOT ERRORLEVEL 0 GOTO ERROR
)

GOTO END
:ERROR
echo ERROR %0
exit 1
:END
