@ECHO OFF
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################


ECHO.
ECHO =====================================================================
ECHO                  Build FreePascal 32bit  
ECHO =====================================================================

if NOT EXIST c:\pp\Makefile.fpc (
ECHO INFO: FreePascal Source NOT EXIST!!!
CALL x_FPC_Extract_Source_From_ZipFile
IF NOT ERRORLEVEL 0 GOTO ERROR
)

if NOT EXIST C:\pp\bin\i386-win32\make.exe (
ECHO.
ECHO -------------------------------------------------------
ECHO                  Copy FreePascal 32bit Bin Files 
ECHO -------------------------------------------------------
xcopy /E /R /Y ..\bin\i386-win32 C:\pp\bin\i386-win32\
IF NOT ERRORLEVEL 0 GOTO ERROR
xcopy /E /R /Y ..\binGDB\win32 C:\pp\binGDB\win32\
IF NOT ERRORLEVEL 0 GOTO ERROR
)

ECHO.
ECHO -------------------------------------------------------
ECHO                  Clean FreePascal 32bit 
ECHO -------------------------------------------------------
pushd c:\pp\
C:\pp\bin\i386-win32\make.exe clean
IF NOT ERRORLEVEL 0 GOTO ERROR
popd  

ECHO.
ECHO -------------------------------------------------------
ECHO                  Build FreePascal 32bit 
ECHO -------------------------------------------------------
pushd c:\pp\
C:\pp\bin\i386-win32\make.exe all
IF NOT ERRORLEVEL 0 GOTO ERROR
popd  

ECHO.
ECHO -------------------------------------------------------
ECHO                  Install FreePascal 32bit 
ECHO -------------------------------------------------------
pushd c:\pp\
C:\pp\bin\i386-win32\make.exe install
IF NOT ERRORLEVEL 0 GOTO ERROR
popd  

ECHO.
ECHO -------------------------------------------------------
ECHO                  Clean FreePascal 32bit 
ECHO -------------------------------------------------------
pushd c:\pp\
C:\pp\bin\i386-win32\make.exe clean
IF NOT ERRORLEVEL 0 GOTO ERROR
popd

GOTO END

:ERROR 
echo ERROR ! %0
exit 1
:END  
