@ECHO OFF
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

ECHO.
ECHO ----------------------------------------------------------
ECHO        Clear Lazarus Runtime Settings 
ECHO ----------------------------------------------------------

IF EXIST C:\lazarus\xxlazarusWin32.txt (

  IF EXIST "C:\lazarus\bin32\settings" (
    rmdir /S /Q C:\lazarus\bin32\settings
    IF NOT ERRORLEVEL 0 GOTO ERROR
    ECHO INFO: Lazarus32 Settings for Windows Removed OK
    mkdir C:\lazarus\bin32\settings
    IF NOT ERRORLEVEL 0 GOTO ERROR
  )   
  GOTO END
  
)


IF EXIST C:\lazarus\xxlazarusWin64.txt (

  IF EXIST "C:\lazarus\bin64\settings" (
    rmdir /S /Q "C:\lazarus\bin64\settings"
    IF NOT ERRORLEVEL 0 GOTO ERROR
    ECHO INFO: Lazarus64 Settings for Windows Removed OK
    mkdir C:\lazarus\bin64\settings
    IF NOT ERRORLEVEL 0 GOTO ERROR
  )
   
) 

GOTO END

:ERROR
echo ERORR %0
exit 1

:END


